unit regtest1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  AnotherReg, StdCtrls, ExtCtrls, buttons;

type
  TMainForm = class(TForm)
    AppConfigKey: TAppConfigKey;
    MainForm: TRegKey;
    LostKey: TRegKey;
    LostProfile: TVariantProfile;
    FormColor: TVariantProfile;
    Appearence: TRegKey;
    Button1: TButton;
    FormCaption: TVariantProfile;
    edCaption: TEdit;
    Button2: TButton;
    Button3: TButton;
    SoundEvent1: TSoundEvent;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    ListBox: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    edSoundName: TEdit;
    Button7: TButton;
    edDefaultSound: TEdit;
    SoundEvent2: TSoundEvent;
    TestString: TStringProfile;
    edString: TEdit;
    Component: TComponentProfile;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    OpenDialog: TOpenDialog;
    FormRestorer: TFormRestorer;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure SoundEvent1SoundEvent(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure edStringChange(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation
uses
 mmsystem;

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
 if Appearence.Exist then
  begin
   Color := FormColor.Value;
   edCaption.Text := FormCaption.Value;
  end;
 edSoundName.Text := SoundEvent1.SOundName;
 edDefaultSound.Text := SoundEvent1.DefaultSoundName;
 if TestString.Exist then edString.Text := TestString.Value;
 RegisterClass( TSpeedButton );
end;



procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 LostProfile.Value := 'Lost Profile';
 FormColor.Value := Color;
 FormCaption.Value := Caption;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
 with TColorDialog.Create( self ) do
  try
   color := self.color;
   if execute then self.color := color;
  finally
   free;
  end;
end;

procedure TMainForm.Edit1Change(Sender: TObject);
begin
  Caption := ( Sender as TEdit ).Text;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
 AppConfigKey.Delete;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
 LostProfile.Delete;
end;



procedure TMainForm.Button4Click(Sender: TObject);
begin
  SoundEvent1.RegisterSoundEvent;
end;

procedure TMainForm.Button5Click(Sender: TObject);
begin
  SoundEvent1.UnRegisterSoundEvent;
end;

procedure TMainForm.Button6Click(Sender: TObject);
begin
  SoundEvent1.Play;
end;

procedure TMainForm.SoundEvent1SoundEvent(Sender: TObject);
begin
 ListBox.Items.Add( 'Sound Event' );
end;

procedure TMainForm.Button7Click(Sender: TObject);
begin
 SoundEvent1.SoundName := edSOundName.Text;
 edSOundName.Text := SoundEvent1.SoundName;
end;

procedure TMainForm.edStringChange(Sender: TObject);
begin
 TestString.Value := edString.Text;
end;

var button :TSpeedButton = nil;

procedure TMainForm.Button8Click(Sender: TObject);
begin
  button := TSpeedButton.Create( Self );
  with button do
   begin
    parent := self;
    Left := Self.WIdth - 50;
    Top := Self.Height - 150;
    Visible := true;
   end;
end;

procedure TMainForm.Button9Click(Sender: TObject);
begin
 Button := TSpeedButton( COmponent.Value );
 Button.Parent := Self;
end;

procedure TMainForm.Button10Click(Sender: TObject);
begin
 Component.Value := Button;
end;

procedure TMainForm.Button11Click(Sender: TObject);
begin
 if button = nil then exit;
 with OpenDialog do
  begin
    if execute then
     begin
        if button.glyph = nil then button.glyph := TBitmap.Create;
        button.Glyph.LoadFromFile( FileName );
     end;
  end;
end;

end.
